<?php

function cptui_register_my_cpts_dashboard_feed() {

	/**
	 * Post Type: Dashboard Feeds.
	 */

	$labels = [
		"name" => __( "Dashboard Feeds", "twentynineteen" ),
		"singular_name" => __( "Feed", "twentynineteen" ),
	];

	$args = [
		"label" => __( "Dashboard Feeds", "twentynineteen" ),
		"labels" => $labels,
		"description" => "",
		"public" => true,
		"publicly_queryable" => true,
		"show_ui" => true,
		"show_in_rest" => true,
		"rest_base" => "",
		"rest_controller_class" => "WP_REST_Posts_Controller",
		"has_archive" => false,
		"show_in_menu" => false,
		"show_in_nav_menus" => false,
		"delete_with_user" => false,
		"exclude_from_search" => false,
		"capability_type" => "post",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => [ "slug" => "dashboard_feed", "with_front" => true ],
		"query_var" => true,
	    "supports" => false,
		"show_in_graphql" => false,
	];

	register_post_type( "dashboard_feed", $args );
}

add_action( 'init', 'cptui_register_my_cpts_dashboard_feed' );






//ACF

if( function_exists('acf_add_local_field_group') ):

    acf_add_local_field_group(array(
        'key' => 'group_61ec32ed03da3',
        'title' => 'Dashboard Feed',
        'fields' => array(
            array(
                'key' => 'field_61ec32f4f9446',
                'label' => 'Feed Name',
                'name' => 'feed_name',
                'type' => 'text',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_61ec5cd9e5e8a',
                'label' => 'Feed Url',
                'name' => 'feed_url',
                'type' => 'url',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
            ),
            array(
                'key' => 'field_61fc7da7b3bcc',
                'label' => 'Number of Feeds',
                'name' => 'number_wang_feed',
                'type' => 'number',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'min' => '',
                'max' => '',
                'step' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'dashboard_feed',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => array(
            0 => 'slug',
        ),
        'active' => true,
        'description' => '',
        'show_in_rest' => 1,
    ));
    
    endif;	
		